lti1p3:
    key_chains:
        platformKey:
            key_set_name: "platformSet"
            public_key: "file://%kernel.project_dir%/config/secrets/dev/public.key"
            private_key: "file://%kernel.project_dir%/config/secrets/dev/private.key"
            private_key_passphrase: null
        toolKey:
            key_set_name: "toolSet"
            public_key: "file://%kernel.project_dir%/config/secrets/dev/public.key"
            private_key: "file://%kernel.project_dir%/config/secrets/dev/private.key"
            private_key_passphrase: ~
    platforms:
        localPlatform:
            name: "Click Learner Portal Platform"
            audience: "http://127.0.0.1:8000/platform"
            oidc_authentication_url: "http://127.0.0.1:8000/lti1p3/oidc/authentication"
            oauth2_access_token_url: "http://127.0.0.1:8000/lti1p3/auth/platformKey/token"
    tools:
        devkitTool:
            name: "LTI 1.3 DevKit (as tool)"
            audience: "http://127.0.0.1:8001/tool"
            oidc_initiation_url: "http://127.0.0.1:8001/lti1p3/oidc/initiation"
            launch_url: "http://127.0.0.1:8001/api/v1/auth/launch-lti-1p3/"
    registrations:
        local:
            client_id: "common_client_id_value"
            platform: "localPlatform"
            tool: "devkitTool"
            deployment_ids:
                - "deploymentId1"
            platform_key_chain: "platformKey"
            tool_key_chain: "toolKey"
            platform_jwks_url: "http://127.0.0.1:8000/lti1p3/.well-known/jwks/platformSet.json"
            tool_jwks_url: "http://127.0.0.1:8001/lti1p3/.well-known/jwks/deliver.json"
